Bug 426342 - replace aterm by rxvt-unicode in Fedora 9
replace aterm by rxvt-unicode in Fedora 9
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 03:01 EST by Marek Mahut
Modified: 2008-01-09 15:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 15:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-12-20 03:01:09 EST
Description of the request:

Aterm is no capable of UTF8 and his development has been dropped by upstream in
profit of rxvt-unicode. It would be nice to have rxvt-unicode replacing
obsoleting  aterm in Fedora 9, this would also require release note.
Comment 1 Andreas Bierfert 2007-12-20 19:00:12 EST
Do you have any more information that the development has been dropped? 1.0.1
was not released long ago.

We also provide e.g. rxvt and imho we should still leave users the choice to
install whatever they like. I don't see that either aterm/rxvt etc. have severe
security problems so imho they should stay. Most desktop users will use what is
included in gnome and kde and for the rest I think they are capable of selecting
the right terminal emulator for them anyway. In such a way Obsoleting is not a
good choice. I agree that we should promote utf8 capable terminals more but not
by forcing stuff on users. If there are currently (which I doubt) requires on
aterm/rxvt anyway I can help to change them to urxvt but otherwise I don't see
that this is needed.

In the end fedora stands for freedom and choice and by doing this we will
eliminate some of these choices however strange they may seem.

Feel free to reopen or contact me in private if you have strong feelings and
reasons of why this really is necessary. :)
Comment 2 Marek Mahut 2007-12-21 02:42:02 EST
Hi Andreas,

(In reply to comment #1)
> Do you have any more information that the development has been dropped? 1.0.1
> was not released long ago.

Aterm developers confirmed me that on IRC few times.

> We also provide e.g. rxvt and imho we should still leave users the choice to
> install whatever they like. I don't see that either aterm/rxvt etc. have severe
> security problems so imho they should stay. Most desktop users will use what is
> included in gnome and kde and for the rest I think they are capable of selecting
> the right terminal emulator for them anyway. In such a way Obsoleting is not a
> good choice. I agree that we should promote utf8 capable terminals more but not
> by forcing stuff on users. If there are currently (which I doubt) requires on
> aterm/rxvt anyway I can help to change them to urxvt but otherwise I don't see
> that this is needed.

Aterm has not utf8 at all, which render this application useless with ncurses
see bug 229127.

And if upstream confirm that aterm is dead and rxvt-unicode is its replacement,
I think we should replace it too.

> In the end fedora stands for freedom and choice and by doing this we will
> eliminate some of these choices however strange they may seem.
> 
> Feel free to reopen or contact me in private if you have strong feelings and
> reasons of why this really is necessary. :)

:) It's up to you.
Comment 3 Jeff Krebs 2008-01-09 13:48:12 EST
Development on aterm has ceased, at least for the foreseeable future. aterm will
be maintained, and there is a possibility of future bug-fix releases.  It's not
"dead", though.  Source is still readily available, and cvs is being patched.

As stated, aterm offered no Unicode support.  Rather than doing a major rewrite,
the aterm developer included libAfterImage support in rxvt-unicode.  He is
actively involved in rxvt-unicode development, particularly the libAfterImage
end of it.

Most, if not all features of aterm have now be added to rxvt-unicode;
rxvt-unicode offers all of the functionality of aterm, without sacrificing
performance.  Current development efforts are being directed at rxvt-unicode
exclusively, and some new features are included in rxvt-unicode that aren't in
aterm (i.e., blur, xft fonts).

Now with all of that said, I feel that it's unnecessary to "obsolete" aterm. 
Period.

Many users not needing Unicode support like a fast, full-featured terminal with
a small footprint. aterm fits the bill, and you can't push the users away from
it.  I booted FeatherLinux (v7.5) and was surprised to see aterm as the default
terminal.  It did what it needed to do very well.

This is about choice. I'd be leery about forcing users to use a particular
terminal.  There are other OSes that are better suited to doing that :)  Leave
aterm in the distro, and let users decide what terminal they want to use.
Comment 4 Andreas Bierfert 2008-01-09 15:21:42 EST
As stated in #1 I am also for this view. Will close this bug for now. Thanks for
the discussion.

Note You need to log in before you can comment on or make changes to this bug.